# $Id$
# Authority: dag
# Upstream: Mark Stosberg <mark$summersault,com>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name Data-FormValidator

Summary: Validates user input (usually from an HTML form) based on input profile
Name: perl-Data-FormValidator
Version: 4.57
Release: 1.rf
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Data-FormValidator/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.cpan.org/modules/by-module/Data/Data-FormValidator-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl >= 1:5.008 

%description
Validates user input (usually from an HTML form) based
on input profile.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes MANIFEST MANIFEST.SKIP META.yml README RELEASE_NOTES
%doc %{_mandir}/man3/Data::FormValidator.3pm*
%doc %{_mandir}/man3/Data::FormValidator::*.3pm*
%dir %{perl_vendorlib}/Data/
%{perl_vendorlib}/Data/FormValidator/
%{perl_vendorlib}/Data/FormValidator.pm

%changelog
* Wed Nov 21 2007 Dag Wieers <dag@wieers.com> - 4.57-1 - +/
- Initial package. (using DAR)
